﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication263
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            radGridView.ItemsSource = TestItem.Generate(100);
            radGridView.FieldFilterEditorCreated += new EventHandler<Telerik.Windows.Controls.GridView.EditorCreatedEventArgs>(radGridView_FieldFilterEditorCreated);
        }

        void radGridView_FieldFilterEditorCreated(object sender, Telerik.Windows.Controls.GridView.EditorCreatedEventArgs e)
        {
            if (e.Column == radGridView.Columns[0])
            {
                (e.Editor as RadMaskedTextBox).Mask = "f4";
            }            
        }
    }

    public class TestItem
    {
        public double Value { get; set; }
        public string Name { get; set; }
        private static Random rnd = new Random();

        public static ObservableCollection<TestItem> Generate(int count)
        {
            ObservableCollection<TestItem> res = new ObservableCollection<TestItem>();
            for (int i = 0; i < count; i++)
            {
                res.Add(new TestItem() { Value = rnd.NextDouble(), Name = "Item" + i.ToString() });
            }
            return res;
        }
    }
}
